searchNodes=[{"ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html","title":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts","module":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts","type":"module","doc":"API calls for all endpoints tagged GoogleServiceAccounts."},{"ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html#storagetransfer_google_service_accounts_get/4","title":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.storagetransfer_google_service_accounts_get/4","module":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts","type":"function","doc":"Returns the Google service account that is used by Storage Transfer Service to access buckets in the project where transfers run or in other projects. Each Google service account is associated with one Google Cloud Platform Console project. Users should add this service account to the Google Cloud Storage bucket ACLs to grant access to Storage Transfer Service. This service account is created and owned by Storage Transfer Service and can only be used by Storage Transfer Service. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server project_id (String.t): The ID of the Google Cloud Platform Console project that the Google service account is associated with. Required. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","module":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","type":"module","doc":"API calls for all endpoints tagged TransferJobs."},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_create/3","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_create/3","module":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","type":"function","doc":"Creates a transfer job that runs periodically. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TransferJob): Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_get/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_get/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","type":"function","doc":"Gets a transfer job. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server job_name (String.t): The job to get. Required. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :projectId (String.t): The ID of the Google Cloud Platform Console project that owns the job. Required. Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_list/3","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_list/3","module":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","type":"function","doc":"Lists transfer jobs. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): A list of query parameters specified as JSON text in the form of {&quot;project_id&quot;:&quot;my_project_id&quot;, &quot;job_names&quot;:[&quot;jobid1&quot;,&quot;jobid2&quot;,...], &quot;job_statuses&quot;:[&quot;status1&quot;,&quot;status2&quot;,...]}. Since &#x60;job_names&#x60; and &#x60;job_statuses&#x60; support multiple values, their values must be specified with array notation. &#x60;project_id&#x60; is required. &#x60;job_names&#x60; and &#x60;job_statuses&#x60; are optional. The valid values for &#x60;job_statuses&#x60; are case-insensitive: &#x60;ENABLED&#x60;, &#x60;DISABLED&#x60;, and &#x60;DELETED&#x60;. :pageSize (integer()): The list page size. The max allowed value is 256. :pageToken (String.t): The list page token. Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_patch/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_patch/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","type":"function","doc":"Updates a transfer job. Updating a job&#39;s transfer spec does not affect transfer operations that are running already. Updating the scheduling of a job is not allowed. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server job_name (String.t): The name of job to update. Required. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateTransferJobRequest): Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","module":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"module","doc":"API calls for all endpoints tagged TransferOperations."},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_cancel/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_cancel/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"function","doc":"Cancels a transfer. Use the get method to check whether the cancellation succeeded or whether the operation completed despite cancellation. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server name (String.t): The name of the operation resource to be cancelled. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_delete/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_delete/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"function","doc":"This method is not supported and the server returns &#x60;UNIMPLEMENTED&#x60;. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server name (String.t): The name of the operation resource to be deleted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_list/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_list/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"function","doc":"Lists operations that match the specified filter in the request. If the server doesn&#39;t support this method, it returns &#x60;UNIMPLEMENTED&#x60;. NOTE: the &#x60;name&#x60; binding allows API services to override the binding to use different resource name schemes, such as &#x60;users//operations&#x60;. To override the binding, API services can add a binding such as &#x60;&quot;/v1/{name&#x3D;users/}/operations&quot;&#x60; to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server name (String.t): The value &#x60;transferOperations&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): A list of query parameters specified as JSON text in the form of {\\&quot;project_id\\&quot; : \\&quot;my_project_id\\&quot;, \\&quot;job_names\\&quot; : [\\&quot;jobid1\\&quot;, \\&quot;jobid2\\&quot;,...], \\&quot;operation_names\\&quot; : [\\&quot;opid1\\&quot;, \\&quot;opid2\\&quot;,...], \\&quot;transfer_statuses\\&quot;:[\\&quot;status1\\&quot;, \\&quot;status2\\&quot;,...]}. Since &#x60;job_names&#x60;, &#x60;operation_names&#x60;, and &#x60;transfer_statuses&#x60; support multiple values, they must be specified with array notation. &#x60;job_names&#x60;, &#x60;operation_names&#x60;, and &#x60;transfer_statuses&#x60; are optional. :pageSize (integer()): The list page size. The max allowed value is 256. :pageToken (String.t): The list page token. Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_pause/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_pause/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"function","doc":"Pauses a transfer operation. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server name (String.t): The name of the transfer operation. Required. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (PauseTransferOperationRequest): Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_resume/4","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_resume/4","module":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","type":"function","doc":"Resumes a transfer operation that is paused. Parameters connection (GoogleApi.StorageTransfer.V1.Connection): Connection to server name (String.t): The name of the transfer operation. Required. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ResumeTransferOperationRequest): Returns {:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html","title":"GoogleApi.StorageTransfer.V1.Connection","module":"GoogleApi.StorageTransfer.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.StorageTransfer.V1."},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#delete/3","title":"GoogleApi.StorageTransfer.V1.Connection.delete/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#delete!/3","title":"GoogleApi.StorageTransfer.V1.Connection.delete!/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#execute/2","title":"GoogleApi.StorageTransfer.V1.Connection.execute/2","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#get/3","title":"GoogleApi.StorageTransfer.V1.Connection.get/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#get!/3","title":"GoogleApi.StorageTransfer.V1.Connection.get!/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#head/3","title":"GoogleApi.StorageTransfer.V1.Connection.head/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#head!/3","title":"GoogleApi.StorageTransfer.V1.Connection.head!/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/0","title":"GoogleApi.StorageTransfer.V1.Connection.new/0","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/1","title":"GoogleApi.StorageTransfer.V1.Connection.new/1","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#options/3","title":"GoogleApi.StorageTransfer.V1.Connection.options/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#options!/3","title":"GoogleApi.StorageTransfer.V1.Connection.options!/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#patch/4","title":"GoogleApi.StorageTransfer.V1.Connection.patch/4","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#patch!/4","title":"GoogleApi.StorageTransfer.V1.Connection.patch!/4","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#post/4","title":"GoogleApi.StorageTransfer.V1.Connection.post/4","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#post!/4","title":"GoogleApi.StorageTransfer.V1.Connection.post!/4","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#put/4","title":"GoogleApi.StorageTransfer.V1.Connection.put/4","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#put!/4","title":"GoogleApi.StorageTransfer.V1.Connection.put!/4","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#request/2","title":"GoogleApi.StorageTransfer.V1.Connection.request/2","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#request!/2","title":"GoogleApi.StorageTransfer.V1.Connection.request!/2","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#trace/3","title":"GoogleApi.StorageTransfer.V1.Connection.trace/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#trace!/3","title":"GoogleApi.StorageTransfer.V1.Connection.trace!/3","module":"GoogleApi.StorageTransfer.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StorageTransfer.V1.Connection.html#t:option/0","title":"GoogleApi.StorageTransfer.V1.Connection.option/0","module":"GoogleApi.StorageTransfer.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Deserializer.html","title":"GoogleApi.StorageTransfer.V1.Deserializer","module":"GoogleApi.StorageTransfer.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","module":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","type":"module","doc":"AWS access key (see AWS Security Credentials). Attributes accessKeyId (String.t): AWS access key ID. Required. Defaults to: null. secretAccessKey (String.t): AWS secret access key. This field is not returned in RPC responses. Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.t/0","module":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data","module":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data","type":"module","doc":"An AwsS3Data resource can be a data source, but not a data sink. In an AwsS3Data resource, an object&#39;s name is the S3 object&#39;s key name. Attributes awsAccessKey (AwsAccessKey): AWS access key used to sign the API requests to the AWS S3 bucket. Permissions on the bucket must be granted to the access ID of the AWS access key. Required. Defaults to: null. bucketName (String.t): S3 Bucket name (see Creating a bucket). Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.t/0","module":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html","title":"GoogleApi.StorageTransfer.V1.Model.Empty","module":"GoogleApi.StorageTransfer.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Empty.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Empty.t/0","module":"GoogleApi.StorageTransfer.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","module":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","type":"module","doc":"An entry describing an error that has occurred. Attributes errorDetails ([String.t]): A list of messages that carry the error details. Defaults to: null. url (String.t): A URL that refers to the target (a data source, a data sink, or an object) with which the error is associated. Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.t/0","module":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary","module":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary","type":"module","doc":"A summary of errors by error code, plus a count and sample error log entries. Attributes errorCode (String.t): Required. Defaults to: null. Enum - one of [OK, CANCELLED, UNKNOWN, INVALID_ARGUMENT, DEADLINE_EXCEEDED, NOT_FOUND, ALREADY_EXISTS, PERMISSION_DENIED, UNAUTHENTICATED, RESOURCE_EXHAUSTED, FAILED_PRECONDITION, ABORTED, OUT_OF_RANGE, UNIMPLEMENTED, INTERNAL, UNAVAILABLE, DATA_LOSS] errorCount (String.t): Count of this type of error. Required. Defaults to: null. errorLogEntries ([ErrorLogEntry]): Error samples. No more than 100 error log entries may be recorded for a given error code for a single task. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.t/0","module":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html","title":"GoogleApi.StorageTransfer.V1.Model.GcsData","module":"GoogleApi.StorageTransfer.V1.Model.GcsData","type":"module","doc":"In a GcsData resource, an object&#39;s name is the Google Cloud Storage object&#39;s name and its &#x60;lastModificationTime&#x60; refers to the object&#39;s updated time, which changes when the content or the metadata of the object is updated. Attributes bucketName (String.t): Google Cloud Storage bucket name (see Bucket Name Requirements). Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.GcsData.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.GcsData","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.GcsData.t/0","module":"GoogleApi.StorageTransfer.V1.Model.GcsData","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","module":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","type":"module","doc":"Google service account Attributes accountEmail (String.t): Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.t/0","module":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html","title":"GoogleApi.StorageTransfer.V1.Model.HttpData","module":"GoogleApi.StorageTransfer.V1.Model.HttpData","type":"module","doc":"An HttpData resource specifies a list of objects on the web to be transferred over HTTP. The information of the objects to be transferred is contained in a file referenced by a URL. The first line in the file must be &quot;TsvHttpData-1.0&quot;, which specifies the format of the file. Subsequent lines specify the information of the list of objects, one object per list entry. Each entry has the following tab-delimited fields: HTTP URL - The location of the object. Length - The size of the object in bytes. MD5 - The base64-encoded MD5 hash of the object. For an example of a valid TSV file, see Transferring data from URLs. When transferring data based on a URL list, keep the following in mind: When an object located at &#x60;http(s)://hostname:port/&lt;URL-path&gt;&#x60; is transferred to a data sink, the name of the object at the data sink is &#x60;&lt;hostname&gt;/&lt;URL-path&gt;&#x60;. If the specified size of an object does not match the actual size of the object fetched, the object will not be transferred. If the specified MD5 does not match the MD5 computed from the transferred bytes, the object transfer will fail. For more information, see Generating MD5 hashes Ensure that each URL you specify is publicly accessible. For example, in Google Cloud Storage you can [share an object publicly] (https://cloud.google.com/storage/docs/cloud-console#_sharingdata) and get a link to it. Storage Transfer Service obeys &#x60;robots.txt&#x60; rules and requires the source HTTP server to support &#x60;Range&#x60; requests and to return a &#x60;Content-Length&#x60; header in each response. * ObjectConditions have no effect when filtering objects to transfer. Attributes listUrl (String.t): The URL that points to the file that stores the object list entries. This file must allow public access. Currently, only URLs with HTTP and HTTPS schemes are supported. Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.HttpData.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.HttpData","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.HttpData.t/0","module":"GoogleApi.StorageTransfer.V1.Model.HttpData","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","module":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","type":"module","doc":"The response message for Operations.ListOperations. Attributes nextPageToken (String.t): The standard List next-page token. Defaults to: null. operations ([Operation]): A list of operations that matches the specified filter in the request. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.t/0","module":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","module":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","type":"module","doc":"Response from ListTransferJobs. Attributes nextPageToken (String.t): The list next page token. Defaults to: null. transferJobs ([TransferJob]): A list of transfer jobs. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.t/0","module":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions","module":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions","type":"module","doc":"Conditions that determine which objects will be transferred. Applies only to S3 and GCS objects. Attributes excludePrefixes ([String.t]): &#x60;excludePrefixes&#x60; must follow the requirements described for &#x60;includePrefixes&#x60;. The max size of &#x60;excludePrefixes&#x60; is 1000. Defaults to: null. includePrefixes ([String.t]): If &#x60;includePrefixes&#x60; is specified, objects that satisfy the object conditions must have names that start with one of the &#x60;includePrefixes&#x60; and that do not start with any of the &#x60;excludePrefixes&#x60;. If &#x60;includePrefixes&#x60; is not specified, all objects except those that have names starting with one of the &#x60;excludePrefixes&#x60; must satisfy the object conditions. Requirements: Each include-prefix and exclude-prefix can contain any sequence of Unicode characters, of max length 1024 bytes when UTF8-encoded, and must not contain Carriage Return or Line Feed characters. Wildcard matching and regular expression matching are not supported. Each include-prefix and exclude-prefix must omit the leading slash. For example, to include the &#x60;requests.gz&#x60; object in a transfer from &#x60;s3://my-aws-bucket/logs/y&#x3D;2015/requests.gz&#x60;, specify the include prefix as &#x60;logs/y&#x3D;2015/requests.gz&#x60;. None of the include-prefix or the exclude-prefix values can be empty, if specified. Each include-prefix must include a distinct portion of the object namespace, i.e., no include-prefix may be a prefix of another include-prefix. Each exclude-prefix must exclude a distinct portion of the object namespace, i.e., no exclude-prefix may be a prefix of another exclude-prefix. If &#x60;includePrefixes&#x60; is specified, then each exclude-prefix must start with the value of a path explicitly included by &#x60;includePrefixes&#x60;. The max size of &#x60;includePrefixes&#x60; is 1000. Defaults to: null. maxTimeElapsedSinceLastModification (String.t): If specified, only objects with a &#x60;lastModificationTime&#x60; on or after &#x60;NOW&#x60; - &#x60;maxTimeElapsedSinceLastModification&#x60; and objects that don&#39;t have a &#x60;lastModificationTime&#x60; are transferred. Note that &#x60;NOW&#x60; refers to the creation time of the transfer job, and &#x60;lastModificationTime&#x60; refers to the time of the last change to the object&#39;s content or metadata. Specifically, this would be the &#x60;updated&#x60; property of GCS objects and the &#x60;LastModified&#x60; field of S3 objects. Defaults to: null. minTimeElapsedSinceLastModification (String.t): If specified, only objects with a &#x60;lastModificationTime&#x60; before &#x60;NOW&#x60; - &#x60;minTimeElapsedSinceLastModification&#x60; and objects that don&#39;t have a &#x60;lastModificationTime&#x60; are transferred. Note that &#x60;NOW&#x60; refers to the creation time of the transfer job, and &#x60;lastModificationTime&#x60; refers to the time of the last change to the object&#39;s content or metadata. Specifically, this would be the &#x60;updated&#x60; property of GCS objects and the &#x60;LastModified&#x60; field of S3 objects. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.t/0","module":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html","title":"GoogleApi.StorageTransfer.V1.Model.Operation","module":"GoogleApi.StorageTransfer.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (boolean()): If the value is &#x60;false&#x60;, it means the operation is still in progress. If &#x60;true&#x60;, the operation is completed, and either &#x60;error&#x60; or &#x60;response&#x60; is available. Defaults to: null. error (Status): The error result of the operation in case of failure or cancellation. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Represents the transfer operation object. Defaults to: null. name (String.t): The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the &#x60;name&#x60; should have the format of &#x60;transferOperations/some/unique/name&#x60;. Defaults to: null. response (%{optional(String.t) &#x3D;&gt; String.t}): The normal response of the operation in case of success. If the original method returns no data on success, such as &#x60;Delete&#x60;, the response is &#x60;google.protobuf.Empty&#x60;. If the original method is standard &#x60;Get&#x60;/&#x60;Create&#x60;/&#x60;Update&#x60;, the response should be the resource. For other methods, the response should have the type &#x60;XxxResponse&#x60;, where &#x60;Xxx&#x60; is the original method name. For example, if the original method name is &#x60;TakeSnapshot()&#x60;, the inferred response type is &#x60;TakeSnapshotResponse&#x60;. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Operation.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.Operation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Operation.t/0","module":"GoogleApi.StorageTransfer.V1.Model.Operation","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","module":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","type":"module","doc":"Request passed to PauseTransferOperation. Attributes"},{"ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.t/0","module":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","module":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","type":"module","doc":"Request passed to ResumeTransferOperation. Attributes"},{"ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.t/0","module":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html","title":"GoogleApi.StorageTransfer.V1.Model.Schedule","module":"GoogleApi.StorageTransfer.V1.Model.Schedule","type":"module","doc":"Transfers can be scheduled to recur or to run just once. Attributes scheduleEndDate (DateTime): The last day the recurring transfer will be run. If &#x60;scheduleEndDate&#x60; is the same as &#x60;scheduleStartDate&#x60;, the transfer will be executed only once. Defaults to: null. scheduleStartDate (DateTime): The first day the recurring transfer is scheduled to run. If &#x60;scheduleStartDate&#x60; is in the past, the transfer will run for the first time on the following day. Required. Defaults to: null. startTimeOfDay (TimeOfDay): The time in UTC at which the transfer will be scheduled to start in a day. Transfers may start later than this time. If not specified, recurring and one-time transfers that are scheduled to run today will run immediately; recurring transfers that are scheduled to run on a future date will start at approximately midnight UTC on that date. Note that when configuring a transfer with the Cloud Platform Console, the transfer&#39;s start time in a day is specified in your local timezone. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Schedule.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.Schedule","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Schedule.t/0","module":"GoogleApi.StorageTransfer.V1.Model.Schedule","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.Status.html","title":"GoogleApi.StorageTransfer.V1.Model.Status","module":"GoogleApi.StorageTransfer.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.Status.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.Status","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.Status.t/0","module":"GoogleApi.StorageTransfer.V1.Model.Status","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay","module":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay","type":"module","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and &#x60;google.protobuf.Timestamp&#x60;. Attributes hours (integer()): Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value &quot;24:00:00&quot; for scenarios like business closing time. Defaults to: null. minutes (integer()): Minutes of hour of day. Must be from 0 to 59. Defaults to: null. nanos (integer()): Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999. Defaults to: null. seconds (integer()): Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t/0","module":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters","module":"GoogleApi.StorageTransfer.V1.Model.TransferCounters","type":"module","doc":"A collection of counters that report the progress of a transfer operation. Attributes bytesCopiedToSink (String.t): Bytes that are copied to the data sink. Defaults to: null. bytesDeletedFromSink (String.t): Bytes that are deleted from the data sink. Defaults to: null. bytesDeletedFromSource (String.t): Bytes that are deleted from the data source. Defaults to: null. bytesFailedToDeleteFromSink (String.t): Bytes that failed to be deleted from the data sink. Defaults to: null. bytesFoundFromSource (String.t): Bytes found in the data source that are scheduled to be transferred, excluding any that are filtered based on object conditions or skipped due to sync. Defaults to: null. bytesFoundOnlyFromSink (String.t): Bytes found only in the data sink that are scheduled to be deleted. Defaults to: null. bytesFromSourceFailed (String.t): Bytes in the data source that failed to be transferred or that failed to be deleted after being transferred. Defaults to: null. bytesFromSourceSkippedBySync (String.t): Bytes in the data source that are not transferred because they already exist in the data sink. Defaults to: null. objectsCopiedToSink (String.t): Objects that are copied to the data sink. Defaults to: null. objectsDeletedFromSink (String.t): Objects that are deleted from the data sink. Defaults to: null. objectsDeletedFromSource (String.t): Objects that are deleted from the data source. Defaults to: null. objectsFailedToDeleteFromSink (String.t): Objects that failed to be deleted from the data sink. Defaults to: null. objectsFoundFromSource (String.t): Objects found in the data source that are scheduled to be transferred, excluding any that are filtered based on object conditions or skipped due to sync. Defaults to: null. objectsFoundOnlyFromSink (String.t): Objects found only in the data sink that are scheduled to be deleted. Defaults to: null. objectsFromSourceFailed (String.t): Objects in the data source that failed to be transferred or that failed to be deleted after being transferred. Defaults to: null. objectsFromSourceSkippedBySync (String.t): Objects in the data source that are not transferred because they already exist in the data sink. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.TransferCounters","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.t/0","module":"GoogleApi.StorageTransfer.V1.Model.TransferCounters","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob","module":"GoogleApi.StorageTransfer.V1.Model.TransferJob","type":"module","doc":"This resource represents the configuration of a transfer job that runs periodically. Attributes creationTime (DateTime.t): This field cannot be changed by user requests. Defaults to: null. deletionTime (DateTime.t): This field cannot be changed by user requests. Defaults to: null. description (String.t): A description provided by the user for the job. Its max length is 1024 bytes when Unicode-encoded. Defaults to: null. lastModificationTime (DateTime.t): This field cannot be changed by user requests. Defaults to: null. name (String.t): A globally unique name assigned by Storage Transfer Service when the job is created. This field should be left empty in requests to create a new transfer job; otherwise, the requests result in an &#x60;INVALID_ARGUMENT&#x60; error. Defaults to: null. projectId (String.t): The ID of the Google Cloud Platform Project that owns the job. Defaults to: null. schedule (Schedule): Schedule specification. Defaults to: null. status (String.t): Status of the job. This value MUST be specified for &#x60;CreateTransferJobRequests&#x60;. NOTE: The effect of the new job status takes place during a subsequent job run. For example, if you change the job status from &#x60;ENABLED&#x60; to &#x60;DISABLED&#x60;, and an operation spawned by the transfer is running, the status change would not affect the current operation. Defaults to: null. Enum - one of [STATUS_UNSPECIFIED, ENABLED, DISABLED, DELETED] transferSpec (TransferSpec): Transfer specification. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.TransferJob","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob.t/0","module":"GoogleApi.StorageTransfer.V1.Model.TransferJob","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation","module":"GoogleApi.StorageTransfer.V1.Model.TransferOperation","type":"module","doc":"A description of the execution of a transfer. Attributes counters (TransferCounters): Information about the progress of the transfer operation. Defaults to: null. endTime (DateTime.t): End time of this transfer execution. Defaults to: null. errorBreakdowns ([ErrorSummary]): Summarizes errors encountered with sample error log entries. Defaults to: null. name (String.t): A globally unique ID assigned by the system. Defaults to: null. projectId (String.t): The ID of the Google Cloud Platform Project that owns the operation. Required. Defaults to: null. startTime (DateTime.t): Start time of this transfer execution. Defaults to: null. status (String.t): Status of the transfer operation. Defaults to: null. Enum - one of [STATUS_UNSPECIFIED, IN_PROGRESS, PAUSED, SUCCESS, FAILED, ABORTED] transferJobName (String.t): The name of the transfer job that triggers this transfer operation. Defaults to: null. transferSpec (TransferSpec): Transfer specification. Required. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.TransferOperation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.t/0","module":"GoogleApi.StorageTransfer.V1.Model.TransferOperation","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions","module":"GoogleApi.StorageTransfer.V1.Model.TransferOptions","type":"module","doc":"TransferOptions uses three boolean parameters to define the actions to be performed on objects in a transfer. Attributes deleteObjectsFromSourceAfterTransfer (boolean()): Whether objects should be deleted from the source after they are transferred to the sink. Note that this option and &#x60;deleteObjectsUniqueInSink&#x60; are mutually exclusive. Defaults to: null. deleteObjectsUniqueInSink (boolean()): Whether objects that exist only in the sink should be deleted. Note that this option and &#x60;deleteObjectsFromSourceAfterTransfer&#x60; are mutually exclusive. Defaults to: null. overwriteObjectsAlreadyExistingInSink (boolean()): Whether overwriting objects that already exist in the sink is allowed. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.TransferOptions","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.t/0","module":"GoogleApi.StorageTransfer.V1.Model.TransferOptions","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec","module":"GoogleApi.StorageTransfer.V1.Model.TransferSpec","type":"module","doc":"Configuration for running a transfer. Attributes awsS3DataSource (AwsS3Data): An AWS S3 data source. Defaults to: null. gcsDataSink (GcsData): A Google Cloud Storage data sink. Defaults to: null. gcsDataSource (GcsData): A Google Cloud Storage data source. Defaults to: null. httpDataSource (HttpData): An HTTP URL data source. Defaults to: null. objectConditions (ObjectConditions): Only objects that satisfy these object conditions are included in the set of data source and data sink objects. Object conditions based on objects&#39; &#x60;lastModificationTime&#x60; do not exclude objects in a data sink. Defaults to: null. transferOptions (TransferOptions): If the option &#x60;deleteObjectsUniqueInSink&#x60; is &#x60;true&#x60;, object conditions based on objects&#39; &#x60;lastModificationTime&#x60; are ignored and do not exclude objects in a data source or a data sink. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.TransferSpec","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.t/0","module":"GoogleApi.StorageTransfer.V1.Model.TransferSpec","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","module":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","type":"module","doc":"Request passed to UpdateTransferJob. Attributes projectId (String.t): The ID of the Google Cloud Platform Console project that owns the job. Required. Defaults to: null. transferJob (TransferJob): The job to update. &#x60;transferJob&#x60; is expected to specify only three fields: &#x60;description&#x60;, &#x60;transferSpec&#x60;, and &#x60;status&#x60;. An UpdateTransferJobRequest that specifies other fields will be rejected with an error &#x60;INVALID_ARGUMENT&#x60;. Required. Defaults to: null. updateTransferJobFieldMask (String.t): The field mask of the fields in &#x60;transferJob&#x60; that are to be updated in this request. Fields in &#x60;transferJob&#x60; that can be updated are: &#x60;description&#x60;, &#x60;transferSpec&#x60;, and &#x60;status&#x60;. To update the &#x60;transferSpec&#x60; of the job, a complete transfer specification has to be provided. An incomplete specification which misses any required fields will be rejected with the error &#x60;INVALID_ARGUMENT&#x60;. Defaults to: null."},{"ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#decode/2","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.decode/2","module":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#t:t/0","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.t/0","module":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","type":"type","doc":""},{"ref":"GoogleApi.StorageTransfer.V1.RequestBuilder.html","title":"GoogleApi.StorageTransfer.V1.RequestBuilder","module":"GoogleApi.StorageTransfer.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]